| Home | Libraries | People | FAQ | More

##### segments_ref::is_absolute

(Inherited from `segments_base`)

Returns true if this references an absolute path.

###### Synopsis

    bool
    is_absolute() const;

###### Description

Absolute paths always start with a forward slash ('/').

###### Example

    assert( url_view( "/path/to/file.txt" ).segments().is_absolute() == true );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.